

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta content="text/html; charset=ISO-8859-1" http-equiv="content-type">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="keywords" content="Theoretical Computer Science, Computation Theory">
<meta name="keywords" content="Electronic Journal, Open Access Journal">
<meta name="keywords" content="Open Access Publication, Free Journal">
<meta name="keywords" content="Noncommercial Publishing, Combinatorics Journal">
<meta name="keywords" content="Mathematics Journal, Science Journal, Computer Science">
<meta name="keywords" content="Theory of Computing, Theory of Computation">
<title>
An &nbsp; O(log <i>n</i>) &nbsp; Approximation Ratio for the Asymmetric Traveling Salesman Path Problem: 
Theory of Computing: An Open Access Electronic Journal in Theoretical Computer Science
</title>
<link href="../../../style/style.css" rel="stylesheet" type="text/css">
<script type="text/x-mathjax-config">
MathJax.Hub.Config({
  tex2jax: {
    inlineMath: [['$','$'], ['\\(','\\)']],
    processEscapes: true
  },
});
</script>
<script type="text/javascript" async
  src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS_HTML-full">
</script>
<link href="../../../images/favicon.ico" rel="shortcut icon" >
<script type="text/javascript">
  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-37638173-1']);
  _gaq.push(['_trackPageview']);
  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();
</script>
</head>
<body>
<div id="mainframe">
<div id="header">
  <a href="../../../index.html"><img src="../../../images/logo.png" alt="logo"></a>
</div>
<div id="topmenu"> 
<ul>
<li><a href="../index.html">Articles</a></li>
<li><a href="../../../editors.html">Editors</a></li> 
<li><a href="../../../submit/index.html">Submit</a></li>
<li><a href="../../../search.html">Search</a></li>
</ul>
</div>
<div id="left"> 
<ul>
<li><a href="../../../index.html">Home</a></li> 
<li><a href="../../../introduction.html">Introduction</a></li> 
<li><a href="../index.html">Articles</a></li>
<li><a href="../../../specissues.html">Special Issues</a></li>
<li><a href="../../../libfiles/gradsurveys.html">Graduate Surveys</a></li>
<li><a href="../../../library.html">Library</a></li>
<li><a href="../../../editors.html">Editors</a></li> 
<li><a href="../../../submit/index.html">Submit</a></li>
<li><a href="../../../issues.html">Issues</a></li>
<li><a href="../../../contactus.html">Contact Us</a></li>
<li><a href="../../../search.html">Search</a></li>
</ul>
</div>
<div id="main">
<div id="articles">


<a href="../../v003a010/v003a010.pdf">
    <img id="articlepdficon" src="../../../images/pdficon_large.png" alt="pdf icon">
</a>

<div id="articletopline">
  <a href="../../../volumes/v003.4">Volume 3</a> (2007) 
  Article 10 pp.&nbsp;197-209
</div>

<div id="articletitle">An &nbsp; O(log <i>n</i>) &nbsp; Approximation Ratio for the Asymmetric Traveling Salesman Path Problem</div>
<div id="authorline">
  by <span id="authornames"><a href="../../../authors/chekuri.html">Chandra Chekuri</a> and <a href="../../../authors/pal.html">Martin P&aacute;l</a></span>
</div>


<div id="articledates">
Received: June 20, 2007<br>
Published: October 15, 2007<br>
</div>


<div class="hang">
<b>Comments and updates on this paper:</b><br>
<a href="../../v004a009/index.html">"On the LP Relaxation of the Asymmetric Traveling Salesman Path Problem"</a> by Viswanath Nagarajan, February 17, 2008 <br>
</div>

<div class="hang">
<b>Download article from ToC site:</b><br>
    <a href="../../v003a010/v003a010.pdf">
      [PDF (176K)]
  </a>
  &nbsp;&nbsp;
    <a href="../../v003a010/v003a010.ps">
      [PS (330K)]
  </a>
 &nbsp;&nbsp;
    <a href="../../v003a010/v003a010.ps.gz">
      [PS.GZ (98K)]
  </a>
 <br>
  <a href="../../v003a010/source.zip">
      [Source ZIP]
  </a>
</div>

<div class="hang">
<b>Misc.:</b><br>
   <a href="../../v003a010/about.html">
[About the Authors]
</a>
   <a href="../../v003a010/bibliography.html">[HTML Bibliography]</a>
   <a href="../../v003a010/bibtex.txt">[BibTeX]</a>
</div>


<div class="hang">
<b>Keywords:</b> combinatorial optimization, approximation algorithm, directed graph, traveling salesman problem, traveling salesman path, asymmetric triangle inequality<br>
</div>

<div class="hang">
<b>Categories:</b> <a href="../../../categories/short.html">short</a>, <a href="../../../categories/algorithms.html">algorithms</a>, <a href="../../../categories/approximation_algorithms.html">approximation algorithms</a>, <a href="../../../categories/combinatorial_optimization.html">combinatorial optimization</a>, <a href="../../../categories/graphs.html">graphs</a>, <a href="../../../categories/traveling_salesman.html">traveling salesman</a>, <a href="../../../categories/commented_on.html">commented on</a><br>
</div>

<div class="hang">
<b>ACM Classification: </b>F.2.2, G.2.2<br>
</div>

<div class="hang">
<b>AMS Classification: </b>68W25, 68R10, 90C59<br>
</div>

<p>
<b>Abstract:</b> 
<a href="../../v003a010/abstract.txt">[Plain Text Version]</a>
</p>
<div>
$
\newcommand{\R}{{\mathbb R}}
\newcommand{\atspp}{\text{ATSPP}}
\newcommand{\atsp}{\text{ATSP}}
\newcommand{\lt}{\ell}
$


<p>
  We consider a variant of the traveling salesman problem (TSP):
  Given a directed graph
  $G=(V,A)$ with non-negative arc lengths $\lt\,:\, A \rightarrow \R^+$
  and a pair of vertices $s,t$, find an $s$-$t$ <i>walk</i>
  of minimum length that visits all the vertices in $V$. If $\lt$
  satisfies the <i>asymmetric</i> triangle inequality, the problem is
  equivalent to that of finding an $s$-$t$ <i>path</i> of minimum
  length that visits all the vertices. We refer to this problem as the 
  <i>asymmetric traveling salesman path problem</i> $(\atspp)$.
  When $s = t$ this is the well known asymmetric traveling
  salesman tour problem $(\atsp)$.  Although an $O(\log n)$ approximation
  ratio has long been known for $\atsp$, the best known ratio for $\atspp$
  is $O(\sqrt{n})$.  In this paper we present a polynomial time
  algorithm for $\atspp$ that has an approximation ratio of $O(\log n)$. 
  The algorithm generalizes to the problem of finding a minimum
  length path or cycle that is required to visit a subset of vertices
  in a given order.
</p>
</div>
<p>



<div id="doi">
<a href="http://dx.doi.org/10.4086/toc.2007.v003a010"> DOI: 10.4086/toc.2007.v003a010</a>
</div>

<div id="copyright">
<a href="http://www.theoryofcomputing.org/copyright.html">&copy; 2007 Chandra Chekuri and Martin P&aacute;l </a><br>

<a rel="license" href="http://creativecommons.org/licenses/by-nd/2.0/">
<img alt="Creative Commons License" style="border-width:0" src="../../../images/creativecommons.png" />
Licensed under a Creative Commons License</a> <br />
</div>
</p>
</div>
</div>
<div style="clear: both;"> </div>
</div>
</body>
</html>

